import os

import pytest
import requests
from tenacity import retry, stop_after_attempt, wait_fixed

@pytest.mark.poke
def test_health_check():
    """
    Calls health check endpoint

    """
    call_health_check()


@retry(stop=stop_after_attempt(2), wait=wait_fixed(1))
def call_health_check():
    health_check_url = "http://sensor-update-services:9000/sensor_update_service/actuator/health"
    headers = {
        "Accept": "text/html,application/json"
    }
    response = requests.get(health_check_url, headers=headers)
    assert response.ok, f'Expected health_check call to succeed. {response.text}'
    response_json = response.json()
    expected_message = 'UP'
    assert expected_message in response_json.get('status'), f'Expected {expected_message} in message. Actual: {response.json()}'